%define soname 2
%define soname_port 0
%def_disable static

Name: gphoto2
Version: 2.4.5
Release: alt1.M41.1

Group: Graphics
Summary: Command line utilities to access digital cameras
Summary (ru_RU.UTF-8): Консольные программы для обмена данными с цифровыми фотоаппаратами
Url: http://www.gphoto.org/
License: GPLv2+, LGPLv2+
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

Requires: lib%name = %version-%release

# Automatically added by buildreq on Sat Apr 18 2009
BuildRequires: aalib-devel doxygen flex gcc-c++ libX11-devel libexif-devel
BuildRequires: libgpm-devel libhal-devel libjpeg-devel liblockdev-devel libltdl-devel
BuildRequires: libpopt-devel libreadline-devel libslang-devel libusb-devel

# IMHO, this build requires are needs when build with cdk
#BuildRequires: libncurses-devel libtinfo-devel

# Url for source code downloads now http://sourceforge.net/project/showfiles.php?group_id=8874
Source0: %name-%version.tar
Source1: lib%name-%version.tar
Patch0: gphoto2-2.4.0-deb-70_increase_max_entries.patch
Patch10: gphoto2-2.4.5-alt-check_ptp_camera-M41-compat.patch

%description
gPhoto is part of the GNU project - and is an universal, free
application and library framework that lets you download
images from several different digital camera models, including
the newer models with USB connnection. Note that for some older
camera models you must use the old gphoto package.

This package contains command-line gphoto2 client.

%package -n lib%name
Group: System/Libraries
Summary: Library to access to digital cameras
Summary (ru_RU.UTF-8): Библиотека функций для работы с цифровыми фотокамерами
License: LGPLv2+

# create additional provides for compatibility with bad build of package version 2.4.0
%{expand:%%define prov_suffix1 %(test %_lib != lib64 && echo %%nil || echo '()')}
%{expand:%%define prov_suffix2 %(test %_lib != lib64 && echo %%nil || echo '(64bit)')}
Provides: libgphoto2.so.6%prov_suffix1%prov_suffix2
Provides: libgphoto2_port.so.0(LIBGPHOTO2_0_0)%prov_suffix2
Provides: libgphoto2_port.so.0(LIBGPHOTO2_5_0)%prov_suffix2

%description -n lib%name
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n lib%name-devel
Group: Development/C
Summary: Headers and links to compile against the lib%name library
Summary (ru_RU.UTF-8): Заголовочные и другие файлы для компиляции приложений с библиотекой libgphoto2
License: LGPLv2+
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the lib%name library.

%if_enabled static
%package -n lib%name-devel-static
Group: Development/C
Summary: Static versions of lib%name
Summary (ru_RU.UTF-8): Статические версии библиотек libgphoto2
License: LGPLv2+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains libraries which one needs to compile programs statically linked
against lib%name library.
%endif

##### TRANSLATED DESCRIPTIONS  #####

%description -l ru_RU.UTF-8
gPhoto - универсальный комплект программ и библиотек, позволяющий
копировать на жёсткий диск снимки сделанные разными моделями цифровых
фотоаппаратов, в том числе новыми аппаратами с USB интерфейсом.
Обратите внимание, что с некоторыми старыми моделями необходимо
использовать старую программу gphoto.

%description -n lib%name -l ru_RU.UTF-8
Библиотека предоставляет все необходимые функции для обмена данными
с современными цифровыми фотокамерами посредством USB или последовательного порта.

%description -n lib%name-devel -l ru_RU.UTF-8
Пакет содержит все необходимые файлы для компиляции программ, использующих
библиотеку libgphoto2.

%if_enabled static
%description -n lib%name-devel-static  -l ru_RU.UTF-8
Пакет содержит статические версии библиотек для компиляции программ, использующих
библиотеку libgphoto2.
%endif

%prep
%setup -n %name -a 1
%patch0 -p1
%patch10 -p1

%build
pushd lib%name
export udevscriptdir=/lib/udev
%configure \
    %{subst_enable static} \
    --enable-shared \
    --with-drivers=all \
    --with-usb \
    --with-serial \
    --with-lockdev
%make_build
popd

export LIBGPHOTO2_LIBS="-L../lib%name/lib%name/.libs -L../lib%name/lib%{name}_port/lib%{name}_port/.libs -lgphoto2 -lgphoto2_port"
export LIBGPHOTO2_CFLAGS="-I../lib%name -I../lib%name/lib%{name}_port"
%configure \
    --disable-debugging \
    --disable-baudboy
%make_build

%install
pushd lib%name
%make DESTDIR=%buildroot install
popd
%make DESTDIR=%buildroot install

# create udev support
mkdir -p %buildroot%_sysconfdir/udev/rules.d/
touch %buildroot%_sysconfdir/udev/rules.d/90-lib%name.rules
# create hal support
mkdir -p %buildroot%_datadir/hal/fdi/information/20thirdparty/
touch %buildroot%_datadir/hal/fdi/information/20thirdparty/10-camera-lib%name.fdi

# provide symlink for compatibility with bad build of package version 2.4.0
ln -sf lib%name.so.2 %buildroot%_libdir/lib%name.so.6

# corrected content of doc. directory
for f in lib%name/lib%{name}_port/{AUTHORS,NEWS,README}
do cp -pr $f ${f}.port ; done
bzip2 -9 ChangeLog lib%name/ChangeLog

# remove .la files
rm -f %buildroot%_libdir/lib%name/*/*.la
rm -f %buildroot%_libdir/lib%{name}_port/*/*.la

%find_lang --output=lib%name.lang lib%name-%soname
%find_lang --append --output=lib%name.lang lib%{name}_port-%soname_port
%find_lang --output=%name.lang %name

##### PRE/POST INSTALL SCRIPTS #####

%pre -n lib%name
# create group
/usr/sbin/groupadd -fr camera || :

%post -n lib%name
# create udev rules
%_libdir/lib%name/print-camera-list --verbose udev-rules version 0.98 owner root mode 0660 group camera > %_sysconfdir/udev/rules.d/90-lib%name.rules
# create .fdi file
%_libdir/lib%name/print-camera-list hal-fdi > %_datadir/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi

%triggerpostun -n lib%name -- lib%name <= 2.4.0
/bin/ln -snf lib%name.so.2 %_libdir/lib%name.so.6
/sbin/ldconfig


##### FILE LISTS FOR ALL BINARY PACKAGES #####

%files -f %name.lang
%_bindir/%name
%_man1dir/%{name}*
#_docdir/%name-%version/*
%doc AUTHORS ChangeLog.bz2 NEWS README
%dir %_docdir/%name
%doc %_docdir/%name/test-hook.sh

%files -n lib%name -f lib%name.lang
%_libdir/*.so.*
%dir %_libdir/lib%name
%dir %_libdir/lib%name/*
%_libdir/lib%name/*/*.so
%dir %_libdir/lib%{name}_port
%dir %_libdir/lib%{name}_port/*
%_libdir/lib%{name}_port/*/*.so
%_datadir/lib%name
%ghost %_sysconfdir/udev/rules.d/*
/lib/udev/*
%_datadir/hal/fdi/information/20thirdparty/*
%doc lib%name/{AUTHORS,NEWS,README,ChangeLog.bz2}
%doc lib%name/lib%{name}_port/{AUTHORS,NEWS,README}.port

%files -n lib%name-devel
%_bindir/*-config
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*
%_man3dir/lib%{name}*
%doc %_docdir/lib%name/README.apidocs
%doc %_docdir/lib%name/apidocs.html
%doc %_docdir/lib%name/camlibs

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/lib%name/*/*.a
%_libdir/lib%{name}_port/*/*.a
%endif

%changelog
* Sun May 17 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.5-alt1.M41.1
- build for 4.1
- adapted check-ptp-camera for kernels in 4.1

* Sun May 10 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.5-alt2
- increased max number of entries in the camera list (ALT #19752)

* Sat Apr 18 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.5-alt1
- 2.4.5
- updated build requires

* Sun Mar 29 2009 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.4-alt1
- 2.4.4
- dropped unnecessary patch
- updated build requires
- changed the means of creating additional provides

* Sun Dec 07 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.3-alt2
- removed obsolete post{,un}_ldconfig calls

* Tue Oct 28 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Wed Sep 24 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.2-alt2
- added patch for compatibility with libusb-1 API (fix bug #17264, thanks to ab@)

* Wed Aug 27 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.2-alt1
- 2.4.2
- updated BuildRequires
- soname changed back to lib%name.so.2 (#16542) and saved so.6 for
  compatibility with previous build (thanks to eostapets@ and rider@)
- returned russian summaries and descriptions from slava@

* Sat May 24 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.0-alt2.svn10945
- moved HAL support into lib%name, lib%name-hal has deleted
- changed postinstall script (#15548)

* Thu May 22 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.0-alt1.svn10945
- hal supported (#15547, added lib%name-hal subpackage)
- perfected location of docs

* Wed Mar 26 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.0-alt0.svn10945.3
- removed *.la files

* Sun Mar 23 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.0-alt0.svn10945.2
- switched back to build with separate source code tarballs
- disabled build hotplug subpackage
- corrected content of doc. directory
- turn back requires = %%version-%%release for %name
- build with included .la files

* Sun Mar 09 2008 Dmitriy Khanzhin <jinn@altlinux.ru> 2.4.0-alt0.svn10945.1
- updated version to 2.4.0
- svn snapshot 10945
- drop unneeded patches
- fixed bug #13823

* Mon Nov 19 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt7
- add Fuji FinePix S5700 (patch backported from svn commit 10728)
- russian summary and description removed
- license tags changed to GPLv2+ and LGPLv2+

* Sat Sep 22 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt6
- add Canon PowerShot A450 (patch from svn)
- change alt-fix-rules.patch
- enabled check ptp camera for unknown cameras

* Tue Jun 05 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt5
- disable Canon fast directory retrieval (even so patch2 imported from SVN)
- bzip ChangeLog
- added tag License into lib%name-hotplug

* Sat May 26 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt4.10
- renamed patch1
- fix fast directory retrieval on Canon PowerShot A430

* Sun Mar 11 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt4
- fix requires
- move creating udev rules back into lib%name package

* Mon Jan 29 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt3
- Requires: hotplug removed from libgphoto2 package (#10695)
- udev and hotplug communications moved into separate packages

* Fri Jan 19 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt2
- used builtin generator udev and hotplug rules

* Tue Jan 16 2007 Dmitriy Khanzhin <jinn@altlinux.ru> 2.3.1-alt1
- new version
- renamed and little corrected udev rules
  (use udev >= 0.98)

* Sun Jan 14 2007 Alexey Morsov <swi@altlinux.ru> 2.3.0-alt2.1
- Add udev rules (fix bug #10661)
- change Packager

* Fri Dec 29 2006 Alexey Morsov <swi@altlinux.ru> 2.3.0-alt2
- NMU

* Fri Dec 08 2006 Alexey Morozov <morozov@altlinux.org> 2.3.0-alt1
- New version (2.3.0)
- static libraries made optional and skipped by default
- buildreqs cleanup
- switched to gphoto-suite for builds
- dropped obsoleted Nikon-4600-ptp-Support.c.patch (#0)

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.1.6-alt2.1
- Rebuilt with libreadline.so.5.

* Thu Nov 24 2005 Anton Farygin <rider@altlinux.ru> 2.1.6-alt2
- NMU:
    - updated to new version
    - removed included to mainstream pathes
    - added Nikon 4600 autodetect
    - added firsttime.d script
    - fixed postscript for use DURING_INSTALL

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1.1
- rebuild against libexif.so.12.
- removed hostinfo, libgphoto2-devel from BuildRequires.

* Sat Jan 01 2005 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.5-alt1
- 2.1.5
- partial Russian translation
- i18n fix

* Wed Jun 23 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt3
- no update-usb.usermap call in postinstall script

* Tue Jun 08 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt2
- usbcam.group replaced by usbcam.console. Group camera removed.

* Sat Feb 21 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Fri Dec 12 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.2-alt2
- .la removed

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.2-alt1
- new version
- some spec cleanup
- fix requires

* Sat Aug 23 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.7
- Serial fix

* Sun Jun 15 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.6
- libgphoto2 requirements fix (hotplug).

* Wed May 28 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt0.5
- non-root execution (all users in group 'camera' can now use gphoto2)

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.4
- russian descriptions (slava).

* Wed Apr 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.3
- more improvements.
- build with new libexif.

* Sun Mar 30 2003 ZerG <zerg@altlinux.ru> 2.1.1-alt0.2
- new version
- improve spec

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.1.0-alt1
- Rebuilt in new environment
- Rebuilt with liblockdev
- Some spec fixes
- 2.1.0

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt2
- Rebuild with new binutils

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt1
- Release %name 2.0

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.3cvs20011204
- Build from CVS
- Rebuild with new libusb

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.2beta1
- Added devel-static package
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 2.0-alt0.1beta1
- first BUILD for ALT
